Package: org.codehaus.groovy.grails.cli.agent

## [Java] Class GrailsPluginManagerReloadPlugin

- org.codehaus.groovy.grails.cli.agent.GrailsPluginManagerReloadPlugin

- All Implemented Interfaces and Traits:
    org.springsource.loaded.ReloadEventProcessorPlugin

      public class GrailsPluginManagerReloadPlugin
      extends java.lang.Object

  Reloading agent plugin for use with the GrailsPluginManager.

  Authors:
    Graeme Rocher
  Since:
    2.0

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `static void` | `register()`
    `void` | `reloadEvent(java.lang.String typename, java.lang.Class<?> aClass, java.lang.String encodedTimestamp)`
    `boolean` | `shouldRerunStaticInitializer(java.lang.String typename, java.lang.Class<?> aClass, java.lang.String encodedTimestamp)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Method Detail

    - #### public static void register()

    - #### public void reloadEvent(java.lang.String typename, java.lang.Class<?> aClass, java.lang.String encodedTimestamp)

    - #### public boolean shouldRerunStaticInitializer(java.lang.String typename, java.lang.Class<?> aClass, java.lang.String encodedTimestamp)